curl --request GET \
--url https://api.fabric.inc/v3/oms-exports/module-headers/{module} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/oms-exports/module-headers/{module}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/oms-exports/module-headers/{module}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exportsHeaders": [
{
"fileHeaders": [
"orderNumber"
],
"fileName": "appeasements"
}
]
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Get file headers by module
Get the list of file headers for a given module.
Note: File headers are basically the column headers or titles of the exported document.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
Module for which file headers are returned. Accepted values: ORDER | LOCATION | ALLOCATION | INVENTORY | INVOICE| SHIPMENT | NETWORK | SHIPPING_METHODS | AGGREGATED_NETWORK
Response
OK
Export headers response details
Export headers list
Show child attributes
Show child attributes
Was this page helpful?
